Geçiş sayfaları
GET https://tappon.bio/api/splash-pages/
curl --request GET \
--url 'https://tappon.bio/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| search | İsteğe bağlı Metin (string) | Arama metni. |
| search_by | İsteğe bağlı Metin (string) | Hangi alanda arama yapılacağı. İzin verilen değerler: name. |
| datetime_field | İsteğe bağlı Metin (string) | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Metin (string) | Bu tarih ve saatten itibaren sonuçları filtreler. Y-m-d H:i:s biçiminde. |
| datetime_end | İsteğe bağlı Metin (string) | Bu tarih ve saate kadar sonuçları filtreler. Y-m-d H:i:s biçiminde. |
| order_by | İsteğe bağlı Metin (string) | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: splash_page_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı Metin (string) | Sonuçların sıralama yönü. İzin verilen değerler: artan sıralama için ASC, azalan sıralama için DESC. |
| page | İsteğe bağlı Tam sayı | Sonuç almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe bağlı Tam sayı | Sayfa başına istediğiniz sonuç sayısı. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-02 03:35:06"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tappon.bio/api/splash-pages?page=1",
"last": "https://tappon.bio/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://tappon.bio/api/splash-pages?page=1"
}
}
GET https://tappon.bio/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tappon.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-02 03:35:06"
}
}
POST https://tappon.bio/api/splash-pages
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | Zorunlu Metin (string) | - |
| title | İsteğe bağlı Metin (string) | - |
| logo | İsteğe bağlı Dosya | - |
| favicon | İsteğe bağlı Dosya | - |
| opengraph | İsteğe bağlı Dosya | - |
| description | İsteğe bağlı Metin (string) | - |
| secondary_button_name | İsteğe bağlı Metin (string) | - |
| secondary_button_url | İsteğe bağlı Metin (string) | - |
| custom_css | İsteğe bağlı Metin (string) | - |
| custom_js | İsteğe bağlı Metin (string) | - |
| ads_header | İsteğe bağlı Metin (string) | - |
| ads_footer | İsteğe bağlı Metin (string) | - |
| link_unlock_seconds | İsteğe bağlı Tam sayı | - |
| auto_redirect | İsteğe bağlı Mantıksal (boolean) | - |
curl --request POST \
--url 'https://tappon.bio/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tappon.bio/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-02 03:35:06"
}
}
POST https://tappon.bio/api/splash-pages/{splash_page_id}
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | İsteğe bağlı Metin (string) | - |
| title | İsteğe bağlı Metin (string) | - |
| logo | İsteğe bağlı Dosya | - |
| favicon | İsteğe bağlı Dosya | - |
| opengraph | İsteğe bağlı Dosya | - |
| description | İsteğe bağlı Metin (string) | - |
| secondary_button_name | İsteğe bağlı Metin (string) | - |
| secondary_button_url | İsteğe bağlı Metin (string) | - |
| custom_css | İsteğe bağlı Metin (string) | - |
| custom_js | İsteğe bağlı Metin (string) | - |
| ads_header | İsteğe bağlı Metin (string) | - |
| ads_footer | İsteğe bağlı Metin (string) | - |
| link_unlock_seconds | İsteğe bağlı Tam sayı | - |
| auto_redirect | İsteğe bağlı Mantıksal (boolean) | - |
curl --request POST \
--url 'https://tappon.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tappon.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-02 03:35:06"
}
}
DELETE https://tappon.bio/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tappon.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \